---
title: llarp::ComparePtr
summary: type for comparing smart pointer's managed values 

---

# llarp::ComparePtr



type for comparing smart pointer's managed values  [More...](#detailed-description)


`#include <compare_ptr.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[operator()](Classes/structllarp_1_1ComparePtr.md#function-operator())**(const Ptr_t & left, const Ptr_t & right) const |

## Detailed Description

```cpp
template <typename Ptr_t ,
typename Compare  =std::less<>>
struct llarp::ComparePtr;
```

type for comparing smart pointer's managed values 
## Public Functions Documentation

### function operator()

```cpp
inline bool operator()(
    const Ptr_t & left,
    const Ptr_t & right
) const
```


-------------------------------

Updated on 2022-11-04 at 14:36:38 +0000